<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class FieldFilterTypeEnum
{
    public const DEFAULT = 'default';
    public const LIKE = 'like';
    public const MANY = 'many';
    public const RANGE = 'range';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::DEFAULT,
            self::LIKE,
            self::MANY,
            self::RANGE,
        ];
    }
}
